<?php
namespace app\common\model\shops;


use app\common\model\BaseModel;



/**
 * ShopCart模型
 * Class ShopCart
 * @package app\common\model\shops
 */
class ShopCart extends BaseModel
{
    
    protected $name = 'shop_cart';


    public function goodSpecsInventory()
    {
        return $this->hasOne(ShopGoodSpecsInventory::class,  'id','goods_specs_inventory_id');

    }

    public function goods()
    {
        return $this->hasOne(ShopGoods::class, 'id', 'shop_goods_id');

    }
}